Subject: Re: Question regarding Compilation
From: [email-masked] (Darren Evans)

25 Jun 1998 19:07:44 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

>I recently ported a very complicated UNIX (a 3D chemistry application) to
>WindowsNT.  I used Cygnus-Win32 Beta 19.1 and EGCS 1.0.2.  The application
>is linked to X11R6.3 libraries.  The application compile without any
>problems and errors or warnings.
>However, when I tried using the compiled binary, I get the
>SATATUS_ACCESS_VIOLATION, Segment Fault and it crashes.

I got this when I execute a function that does'nt have enough declarations
to the function prototype.

I also sometimes get this when I run the cygnus sendmail 8.9.0 which I would
dearly love to see work properly.

>WHAT IF> (e:\whatif\whatif.exe 1094) Exception: STATUS_ACCESS_VIOLATION
>(e:\whatif\whatif.exe 1094) Dumping stack trace to whatif.exe.core
>bash-2.01$ rm *.core
>bash-2.01$ gdb whatif.exe

>Doing a debug with gdb, I get the following:

>Starting program: /e/whatif/whatif.exe
>67000000:/WINNT/System32/libX11.dll
>10000000:/WINNT/System32/cygwinb19.dll
>
>[failed reading symbols from DLL]
>"/WINNT/system32/advapi32.dll": error reading line numbers

Do you need to install the NT symbol libraries to be able to debug properly?
Im really quite interested in this. Can gdb even recognise the NT symbol
files?

>[failed reading symbols from DLL]
>"/WINNT/system32/KERNEL32.dll": error reading line numbers
>
>77e70000:/WINNT/system32/USER32.dll
>77ed0000:/WINNT/system32/GDI32.dll
>77e10000:/WINNT/system32/RPCRT4.dll
>5f810000:/WINNT/System32/rpcltc1.dll
>
>Since I linked the binary to libX11.a I am using a Netmanage Xoftware
>X-Server.
>
>I am not sure what is going on.
>
>Can anyone help?  Any suggestions and help will be highly appreciated.

I wish I really could understand it more to be able to help.

Best of luck.

D
------------------------------------------
 Darren Evans                0171 573 5961
 Systems Engineer        FAX 0171 573 5959
 Systems Operation Group
 Online Magic Ltd

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".